> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update vendor Details

> Use this API to edit the existing vendor details added to your EasySplit account. You can edit vendor details such as name, email, phone number, upi details, and any of the KYC details.



## OpenAPI

````yaml /openapi/payments/v2023-08-01.yaml patch /easy-split/vendors/{vendor_id}
openapi: 3.0.0
info:
  version: '2023-08-01'
  title: Cashfree Payment Gateway APIs
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  description: >-
    Cashfree's Payment Gateway APIs provide developers with a streamlined
    pathway to integrate advanced payment processing capabilities into their
    applications, platforms and websites.
servers:
  - url: https://sandbox.cashfree.com/pg
    description: Sandbox server
  - url: https://api.cashfree.com/pg
    description: Production server
security: []
tags:
  - name: Orders
    description: Collection of APIs to handle orders.
  - name: Payments
    description: Collection of APIs to handle payments.
  - name: Refunds
    description: Collection of APIs to handle refunds.
  - name: Settlements
    description: Collection of APIs to handle settlements.
  - name: Payment Links
    description: Collection of APIs to handle payment links.
  - name: Token Vault
    description: >-
      Collection of APIs to use Cashfree's token Vault. This helps you save
      cards and tokenize them in a PCI complaint manner. We support creation of
      network tokens which can be used across acquiring banks
  - name: softPOS
    description: Collection of APIs to manage softPOS' agent and order
  - name: Offers
    description: Collection of APIs to handle offers
  - name: Eligibility
    description: >-
      Collection of APIs to check eligibile entities - payment methods, offer,
      affordibility
  - name: Settlement Reconciliation
    description: Collection of APIs to handle settlements
  - name: PG Reconciliation
    description: Collection of APIs to handle reconciliation
  - name: Customers
    description: Collection of APIs to handle customers.
  - name: Easy-Split
    description: Collection of APIs to handle Easy-Split.
  - name: Simulation
    description: Collection of APIs to handle simulation.
  - name: Disputes
    description: Collection of APIs to handle disputes.
externalDocs:
  url: https://api.cashfree.com/pg
  description: This url will have the information of all the APIs.
paths:
  /easy-split/vendors/{vendor_id}:
    patch:
      tags:
        - Easy-Split
      summary: Update vendor Details
      description: >-
        Use this API to edit the existing vendor details added to your EasySplit
        account. You can edit vendor details such as name, email, phone number,
        upi details, and any of the KYC details.
      operationId: PGESUpdateVendors
      parameters:
        - $ref: '#/components/parameters/apiVersionHeader'
        - $ref: '#/components/parameters/vendorIDParam'
        - $ref: '#/components/parameters/xRequestIDHeader'
        - $ref: '#/components/parameters/xIdempotencyKeyHeader'
      requestBody:
        $ref: '#/components/requestBodies/UpdateVendorRequestBody'
      responses:
        '200':
          $ref: '#/components/responses/UpdateVendorSuccessResponse'
        '400':
          $ref: '#/components/responses/Response400UpdateVendor'
      deprecated: false
      security:
        - XClientID: []
          XClientSecret: []
        - XClientID: []
          XPartnerAPIKey: []
        - XClientID: []
          XClientSignatureHeader: []
        - XPartnerMerchantID: []
          XPartnerAPIKey: []
components:
  parameters:
    apiVersionHeader:
      in: header
      name: x-api-version
      required: true
      description: API version to be used. Format is in YYYY-MM-DD
      schema:
        type: string
        description: API version to be used
        default: '2023-08-01'
      example: '2023-08-01'
    vendorIDParam:
      name: vendor_id
      in: path
      required: true
      description: The id which uniquely identifies your vendor.
      schema:
        type: string
      example: your-vendor-id
    xRequestIDHeader:
      in: header
      name: x-request-id
      description: >-
        Request id for the API call. Can be used to resolve tech issues.
        Communicate this in your tech related queries to cashfree
      required: false
      schema:
        type: string
      example: 4dfb9780-46fe-11ee-be56-0242ac120002
    xIdempotencyKeyHeader:
      in: header
      name: x-idempotency-key
      required: false
      description: >
        An idempotency key is a unique identifier you include with your API
        call.

        If the request fails or times out, you can safely retry it using the
        same key to avoid duplicate actions.
      schema:
        type: string
        format: UUID
      example: 47bf8872-46fe-11ee-be56-0242ac120002
  requestBodies:
    UpdateVendorRequestBody:
      description: Create Vendor Request Body.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UpdateVendorRequest'
          examples:
            PG - Bank Account:
              value:
                status: ACTIVE
                name: customer
                email: johndoe@cashfree.com
                phone: 9876543210
                verify_account: true
                dashboard_access: true
                schedule_option: 1
                bank:
                  account_number: 12345678890
                  account_holder: John Doe
                  ifsc: HDFC019345
                kyc_details:
                  account_type: BUSINESS
                  business_type: NBFC
                  uidai: 753624181019
                  gst: 11AAAAA1111A1Z0
                  cin: L00000Aa0000AaA000000
                  pan: BIAPA2934N
                  passport_number: L6892603
            PG - UPI:
              value:
                status: ACTIVE
                name: customer
                email: johndoe@cashfree.com
                phone: 9876543210
                verify_account: true
                dashboard_access: true
                schedule_option: 1
                upi:
                  vpa: success@upi
                  account_holder: JOHN DOE
                kyc_details:
                  account_type: BUSINESS
                  business_type: NBFC
                  uidai: 753624181019
                  gst: 11AAAAA1111A1Z0
                  cin: L00000Aa0000AaA000000
                  pan: BIAPA2934N
                  passport_number: L6892603
            PG - Auto Collect:
              value:
                name: john
                email: john.s@cashfree.com
                phone: 9600176784
                upi:
                  vpa: number@paytm
                  account_holder: holder
                kyc_details:
                  account_type: BUSINESS
                  business_type: NBFC
                  uidai: 753624181019
                  gst: 11AAAAA1111A1Z0
                  cin: L00000Aa0000AaA000000
                  pan: BIAPA2934N
                  passport_number: L6892603
  responses:
    UpdateVendorSuccessResponse:
      description: Update Vendor Success Response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UpdateVendorResponse'
          examples:
            PG - Bank Account:
              value:
                email: johndoe@cashfree.com
                status: IN_BENE_CREATION
                bank:
                  account_number: 26291800001191
                  account_holder: JOHN DOE
                  ifsc: YESB0000262
                upi: null
                phone: 9876543210
                name: customer
                vendor_id: TestAccount11
                schedule_option:
                  settlement_schedule_message: T+1 settlement at 11:00 AM
                  schedule_id: 1
                  merchant_default: false
                kyc_details:
                  account_type: BUSINESS
                  business_type: NBFC
                  pan: AFDHK1234F
                  uidai: null
                  passport_number: null
                  driving_license: null
                  voter_id: null
                  gst: 11AAAAA1111A1Z0
                  cin: L00000Aa0000AaA000000
                dashboard_access: false
                bank_details: null
            PG - UPI:
              value:
                email: johndoe@cashfree.com
                status: IN_BENE_CREATION
                bank: null
                upi:
                  vpa: john@ybl
                  account_holder: JOHN DOE
                phone: 9876543210
                name: customer
                vendor_id: TestA2ccount211
                schedule_option:
                  settlement_schedule_message: T+1 settlement at 11:00 AM
                  schedule_id: 1
                  merchant_default: false
                kyc_details:
                  account_type: BUSINESS
                  business_type: NBFC
                  pan: AFDHK1234F
                  uidai: null
                  passport_number: null
                  driving_license: null
                  voter_id: null
                  gst: 11AAAAA1111A1Z0
                  cin: L00000Aa0000AaA000000
                dashboard_access: false
                bank_details: null
            PG - Auto Collect:
              value:
                email: johndoe@cashfree.com
                status: IN_BENE_CREATION
                phone: 9876543210
                name: customer
                vendor_id: johntest11111
                added_on: '2023-03-02 12:12:56'
                updated_on: '2023-03-02 12:12:57'
                bank:
                  account_number: 123456111110
                  account_holder: JOHNDOE
                  ifsc: YESB0000262
                upi: null
                schedule_option:
                  settlement_schedule_message: T+1 settlement at 11:00 AM
                  schedule_id: 1
                  merchant_default: true
                vendor_type: PG
                account_type: BUSINESS
                business_type: NBFC
                related_docs:
                  - vendor_id: johntest11111
                    doc_type: CIN_NUMBER
                    doc_value: L00000Aa0000AaA000000
                    status: IN_REVIEW
                    remarks: null
                  - vendor_id: johntest11111
                    doc_type: GSTIN_NUMBER
                    doc_value: 11AAAAA1111A1Z0
                    status: IN_REVIEW
                    remarks: null
                  - vendor_id: johntest11111
                    doc_type: PAN_NUMBER
                    doc_value: BIAPA2934N
                    status: IN_REVIEW
                    remarks: null
                  - vendor_id: johntest11111
                    doc_type: PASSPORT_NUMBER
                    doc_value: L6892603
                    status: IN_REVIEW
                    remarks: null
                  - vendor_id: johntest11111
                    doc_type: UIDAI_NUMBER
                    doc_value: 753624181019
                    status: IN_REVIEW
                    remarks: null
    Response400UpdateVendor:
      description: Update Vendor Failure Response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
          examples:
            Invalid vendorID:
              value:
                message: >-
                  vendor_id: should be alpha numeric. Value received:
                  testvend@or
                code: vendor_id_invalid
                type: invalid_request_error
            Invalid vendor status:
              value:
                message: 'status: should be ACTIVE BLOCKED. Value received: NEW'
                code: status_invalid
                type: invalid_request_error
            Invalid customer name size:
              value:
                message: >-
                  [size must be between 0 and 100 but it was
                  nG3apOaiBGT0AS4C0Qmq7QdW25IEHv8Y1hACb60dBdkdMbRBgaBS3bePo0yRTLAZB0yoYlZfjktsHSGWsGlCSeq18Z5SeOIY7mliE]
                code: api_request_failed
                type: invalid_request_error
            Invalid customer name:
              value:
                message: >-
                  [Invalid Name. Name should not have any special character
                  except . / - & but it was @Devraj]
                code: api_request_failed
                type: invalid_request_error
            Invalid email ID:
              value:
                message: >-
                  email: should be valid email. Value received:
                  arun@@cashfree.com
                code: email_invalid
                type: invalid_request_error
            Invalid phone number:
              value:
                message: '[Enter valid phone number. but it was 8867456990734887837434]'
                code: api_request_failed
                type: invalid_request_error
            Invalid VPA:
              value:
                message: 'upi.vpa: invalid VPA provided. Value received: 026291800001191'
                code: upi.vpa_invalid
                type: invalid_request_error
            Invalid account holder name:
              value:
                message: >-
                  [Invalid account holder name. Account holder name should not
                  have any special character except . / - & but it was John_Doe]
                code: api_request_failed
                type: invalid_request_error
            Invalid UIDAI number:
              value:
                message: '[Please enter valid UIDAI number but it was 456712345678]]'
                code: api_request_failed
                type: invalid_request_error
            Invalid GST number:
              value:
                message: '[Please enter valid GST number but it was 11AAAAA1111A1@Z0]'
                code: api_request_failed
                type: invalid_request_error
            Invalid CIN number:
              value:
                message: >-
                  [Please enter valid CIN number but it was
                  L00000Aa0000AaA@000000]
                code: api_request_failed
                type: invalid_request_error
            Invalid PAN number:
              value:
                message: 'kyc_details.pan: is missing in the request. Value received: ""'
                code: kyc_details.pan_missing
                type: invalid_request_error
            Invalid Passport number:
              value:
                message: '[Please enter valid PASSPORT number but it was L68926@03]]'
                code: api_request_failed
                type: invalid_request_error
  schemas:
    UpdateVendorRequest:
      title: UpdateVendorRequest
      description: Update Vendor Request
      type: object
      example:
        status: ACTIVE
        name: customer
        email: johndoe@cashfree.com
        phone: 9876543210
        verify_account: true
        dashboard_access: true
        schedule_option: 1
        bank: []
        upi: []
        kyc_details: []
      properties:
        status:
          type: string
          description: >-
            Specify the status of vendor that should be updated. Possible
            values: ACTIVE,BLOCKED, DELETED
        name:
          type: string
          description: >-
            Specify the name of the vendor to be updated. Name should not have
            any special character except . / - &
        email:
          type: string
          description: >-
            Specify the vendor email ID that should be updated. String in email
            ID format (Ex:johndoe_1@cashfree.com) should contain @ and dot (.)
        phone:
          type: string
          description: >-
            Specify the beneficiaries phone number to be updated. Phone number
            registered in India (only digits, 8 - 12 characters after excluding
            +91).
        verify_account:
          type: boolean
          description: >-
            Specify if the vendor bank account details should be verified.
            Possible values: true or false
        dashboard_access:
          type: boolean
          description: >-
            Update if the vendor will have dashboard access or not. Possible
            values are: true or false
        schedule_option:
          type: number
          description: >-
            Specify the settlement cycle to be updated. View the settlement
            cycle details from the "Settlement Cycles Supported" table. If no
            schedule option is configured, the settlement cycle ID "1" will be
            in effect. Select "8" or "9" if you want to schedule instant vendor
            settlements.
        bank:
          type: array
          description: Specify the vendor bank account details to be updated.
          items:
            $ref: '#/components/schemas/BankDetails'
        upi:
          type: array
          description: >-
            Updated beneficiary upi vpa. Alphanumeric, dot (.), hyphen (-), at
            sign (@), and underscore allowed (100 character limit). Note:
            underscore and dot (.) gets accepted before and after @, but hyphen
            (-) is only accepted before @ sign.
          items:
            $ref: '#/components/schemas/UpiDetails'
        kyc_details:
          type: array
          description: Specify the kyc details that should be updated.
          items:
            $ref: '#/components/schemas/KycDetails'
    UpdateVendorResponse:
      title: UpdateVendorResponse
      description: Update Vendor Response
      type: object
      example:
        email: johndoe@cashfree.com
        status: IN_BENE_CREATION
        bank: []
        upi: []
        phone: 9876543210
        name: customer
        vendor_id: TestAccount11
        schedule_option: []
        kyc_details: []
        dashboard_access: false
        bank_details: null
        related_docs:
          - vendor_id: johntest11111
            doc_type: CIN_NUMBER
            doc_value: L00000Aa0000AaA000000
            status: IN_REVIEW
            remarks: null
          - vendor_id: johntest11111
            doc_type: GSTIN_NUMBER
            doc_value: 11AAAAA1111A1Z0
            status: IN_REVIEW
            remarks: null
          - vendor_id: johntest11111
            doc_type: PAN_NUMBER
            doc_value: BIAPA2934N
            status: IN_REVIEW
            remarks: null
          - vendor_id: johntest11111
            doc_type: PASSPORT_NUMBER
            doc_value: L6892603
            status: IN_REVIEW
            remarks: null
          - vendor_id: johntest11111
            doc_type: UIDAI_NUMBER
            doc_value: 753624181019
            status: IN_REVIEW
            remarks: null
      properties:
        email:
          type: string
        status:
          type: string
        bank:
          type: array
          items:
            $ref: '#/components/schemas/BankDetails'
        upi:
          type: string
        added_on:
          type: string
        updated_on:
          type: string
        vendor_type:
          type: string
        account_type:
          type: string
        business_type:
          type: string
        phone:
          type: number
        name:
          type: string
        vendor_id:
          type: string
        schedule_option:
          type: array
          items:
            $ref: '#/components/schemas/ScheduleOption'
        kyc_details:
          type: array
          items:
            $ref: '#/components/schemas/KycDetails'
        dashboard_access:
          type: boolean
        bank_details:
          type: string
        related_docs:
          type: array
          items:
            type: object
            properties:
              vendor_id:
                type: string
              doc_type:
                type: string
              doc_value:
                type: string
              status:
                type: string
              remarks:
                type: string
    BadRequestError:
      title: BadRequestError
      description: Invalid request received from client
      example:
        message: bad URL, please check API documentation
        code: request_failed
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - invalid_request_error
    BankDetails:
      title: BankDetails
      type: object
      example:
        account_number: 123456111110
        account_holder: JOHNDOE
        ifsc: YESB0000262
      properties:
        account_number:
          type: string
        account_holder:
          type: string
        ifsc:
          type: string
    UpiDetails:
      title: UpiDetails
      type: object
      example:
        vpa: success@upi
        account_holder: JOHN DOE
      properties:
        vpa:
          type: string
        account_holder:
          type: string
    KycDetails:
      title: KycDetails
      type: object
      example:
        account_type: BUSINESS
        business_type: NBFC
        uidai: 753624181019
        gst: 11AAAAA1111A1Z0
        cin: L00000Aa0000AaA000000
        pan: BIAPA2934N
        passport_number: L6892603
      properties:
        account_type:
          type: string
        business_type:
          type: string
        uidai:
          type: number
        gst:
          type: string
        cin:
          type: string
        pan:
          type: string
        passport_number:
          type: string
        driving_license:
          type: string
        voter_id:
          type: string
    ScheduleOption:
      title: ScheduleOption
      type: object
      example:
        settlement_schedule_message: T+1 settlement at 11:00 AM
        schedule_id: 1
        merchant_default: true
      properties:
        settlement_schedule_message:
          type: string
        schedule_id:
          type: number
        merchant_default:
          type: boolean
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Client app ID. You can find your app id in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        Client secret key. You can find your secret key in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XPartnerAPIKey:
      type: apiKey
      in: header
      name: x-partner-apikey
      description: >-
        If you are partner and you are making an api call on behalf of a
        merchant
    XClientSignatureHeader:
      type: apiKey
      in: header
      name: x-client-signature
      description: >-
        Use this if you do not want to pass the secret key and instead want to
        use signature
    XPartnerMerchantID:
      type: apiKey
      in: header
      name: x-partner-merchantid
      description: >-
        If you are partner use this to specify the merchant id if you don't have
        the merchant client app id

````